/* ----------------------------------------
 * Origin  : GFI INFORMATIQUE 
 * Project : CDPP Propagation Tool 
 * ----------------------------------------
 * History 
 * Version : 01/05/2015 : SCA : V2.1
 * Version : 17/10/2018 : SCA : V2.2.5
 *  Redmine #6119 
 * ----------------------------------------
 */
package fr.tlse.irap.pt.client.controller.tools.timetable;

import javafx.collections.FXCollections;
import javafx.collections.ObservableList;

public class SepTimeTable {

	public final String TARGET	  	= "Target";
	public final String TIME_END   	= "t'";	
	public final String DELTA_TMINL = "t'min(ΔL)";
	public final String DELTA_TMAXL = "t'max(ΔL)";
	public final String DELTA_LONG_2L 	= "φEnd(t')-\nφStart(t)";
	public final String DELTA_LONG 	= "φEnd(t')-φStart(t)";
	public final String SPIRAL_LENGTH	= "Length";
	public final String SPREAD 	= "ΔφSpiral";
	public final String LONG_SOURCE	= "φSpiral(t)";
	public final String PARTICLE 	= "Particle";
	public final String ENERGY 	= "Energy";
	public final String IS_INSIDE 	= "Inside Spiral";

	private ObservableList<SepProperty> properties = FXCollections.observableArrayList();

	public ObservableList<SepProperty> getProperties() {
		return properties;
	}

	public void setProperties(ObservableList<SepProperty> properties) {
		this.properties = properties;
	}

	public void addProperty(SepProperty property) {
		this.properties.add(property);
	}
	
	public void clearProperties() {
		this.properties.clear();
	}

	public boolean isEmpty(){
		return (this.properties.size() == 0);
	}

}
